'''
	Wrestle Nation Add-on
	Copyright (C) 2016 OYDK

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''

import urllib,urllib2,re,xbmcplugin,xbmcgui,os,sys,datetime,string,xbmcaddon
import urlresolver
from resources.lib.modules.common import *
from resources.lib.modules.plugintools import *
from resources.lib.sources.cloudy import *
from resources.lib.sources.dailymotion import *
from resources.lib.sources.divxstage import *
from resources.lib.sources.movshare import *
from resources.lib.sources.novamov import *
from resources.lib.sources.nowvideo import *
from resources.lib.sources.openload import *
from resources.lib.sources.letwatch import *
from resources.lib.sources.youwatch import *
from resources.lib.sources.vidgg import *
from resources.lib.sources.videoweed import *
from resources.lib.sources.clicknupload import *
from resources.lib.sources.uptostream import *
from resources.lib.sources.tusfiles import *
from resources.lib.sources.ulto import *
from resources.lib.sources.rapidgator import *

addon     = xbmcaddon.Addon(id='plugin.video.wrestlenation')
addon_id  = xbmcaddon.Addon().getAddonInfo('id')
selfAddon = xbmcaddon.Addon(id=addon_id)
dataPath  = os.path.join(xbmc.translatePath('special://profile/addon_data/plugin.video.wrestlenation'), '')
fanart    = xbmc.translatePath(os.path.join('special://home/addons/plugin.video.wrestlenation', 'fanart.jpg'))
icon      = xbmc.translatePath(os.path.join('special://home/addons/plugin.video.wrestlenation', 'icon.png'))
thumbs    = xbmc.translatePath(os.path.join('special://home/addons/plugin.video.wrestlenation/resources/thumbs', ''))
baseurl   = 'http://crimaz.me/'

def CATEGORIES():
	addDirMain('WWE','url',4,thumbs+'wwe.png')
	addDirMain('TNA',baseurl+'all-wrestling/tna-2/',2,thumbs+'tna.png')
	addDirMain('ROH',baseurl+'roh/',2,thumbs+'roh.png')
	addDirMain('Lucha Underground',baseurl+'lucha-underground/',2,thumbs+'lucha.png')
	addDirMain('UFC',baseurl+'ufc/',2,thumbs+'ufc.png')
	addDirMain('All Latest',baseurl,2,icon)
	
def getWWE():
	addDirMain('WWE RAW',baseurl+'wwe-raw/',2,'http://crimaz.me/wp-content/uploads/lXEbj9K.jpg')
	addDirMain('WWE SmackDown! Live',baseurl+'wwe-smackdown/',2,'http://crimaz.me/wp-content/uploads/new-smackdown.png')
	addDirMain('WWE Main Event',baseurl+'wwe-main-event/',2,'http://crimaz.me/wp-content/uploads/2014/04/main-event.jpg')
	addDirMain('WWE NXT',baseurl+'wwe-nxt/',2,'http://crimaz.me/wp-content/uploads/wwe_nxt_2016.jpg')
	addDirMain('WWE Network',baseurl+'wwenetwork/',2,thumbs+'wwe.png')
	addDirMain('WWE Pay-Per-View',baseurl+'pay-per-views/wwe-pay-per-view/',2,thumbs+'wwe.png')
	
def getShows(url):
	link  = open_url(url)
	link  = link
	match = re.compile('<img width=".+?" height=".+?" src="(.+?)" class=".+?" alt=".+?" /></a></div><div class="cb-meta"><h2 class="h4"><a href="(.+?)">Watch (.+?)</a></h2>').findall(link)
	for iconimage,url,name in match:
		addDirMain(name,url,3,iconimage)
		
def getStreams(url):
	if selfAddon.getSetting('source.clicknupload') == 'true': clicknuploadSingle(url)
	if selfAddon.getSetting('source.letwatch') == 'true': letwatchSingle(url)
	if selfAddon.getSetting('source.movshare') == 'true': movshareSingle(url)
	if selfAddon.getSetting('source.novamov') == 'true': novamovSingle(url)
	if selfAddon.getSetting('source.nowvideo') == 'true': nowvideoSingle(url)
	if selfAddon.getSetting('source.openload') == 'true': openloadSingle(url)
	if selfAddon.getSetting('source.rapidgator') == 'true': rapidgatorSingle(url)
	if selfAddon.getSetting('source.tusfiles') == 'true': tusfilesSingle(url)
	if selfAddon.getSetting('source.uptostream') == 'true': uptostreamSingle(url)
	if selfAddon.getSetting('source.videoweed') == 'true': videoweedSingle(url)
	if selfAddon.getSetting('source.vidgg') == 'true': vidggSingle(url)
	if selfAddon.getSetting('source.youwatch') == 'true': youwatchSingle(url)

	if selfAddon.getSetting('source.cloudy') == 'true': cloudy(url)
	if selfAddon.getSetting('source.dailymotion') == 'true': dailymotion(url)
	if selfAddon.getSetting('source.divxstage') == 'true': divxstage(url)
	if selfAddon.getSetting('source.letwatch') == 'true': letwatch(url)
	if selfAddon.getSetting('source.movshare') == 'true': movshare(url)
	if selfAddon.getSetting('source.novamov') == 'true': novamov(url)
	if selfAddon.getSetting('source.nowvideo') == 'true': nowvideo(url)
	if selfAddon.getSetting('source.openload') == 'true': openload(url)
	if selfAddon.getSetting('source.ulto') == 'true': ulto(url)
	if selfAddon.getSetting('source.youwatch') == 'true': youwatch(url)
		
def get_params():
		param=[]
		paramstring=sys.argv[2]
		if len(paramstring)>=2:
				params=sys.argv[2]
				cleanedparams=params.replace('?','')
				if (params[len(params)-1]=='/'):
						params=params[0:len(params)-2]
				pairsofparams=cleanedparams.split('&')
				param={}
				for i in range(len(pairsofparams)):
						splitparams={}
						splitparams=pairsofparams[i].split('=')
						if (len(splitparams))==2:
								param[splitparams[0]]=splitparams[1]
								
		return param		
			  
params=get_params()
url=None
name=None
mode=None

try:
		url=urllib.unquote_plus(params["url"])
except:
		pass
try:
		name=urllib.unquote_plus(params["name"])
except:
		pass
try:
		mode=int(params["mode"])
except:
		pass

print "Mode: "+str(mode)
print "URL: "+str(url)
print "Name: "+str(name)

if mode==None or url==None or len(url)<1:
		print ""
		CATEGORIES()
	
elif mode==1: play(name,url)
elif mode==2: getShows(url)
elif mode==3: getStreams(url)
elif mode==4: getWWE()

xbmcplugin.endOfDirectory(int(sys.argv[1]))
